CREATE TABLE hts_work_patterns_b_ (
    WORK_PATTERN_ID          NUMBER(18, 0) ,
    WORK_PATTERN_ALTCD       VARCHAR2(120) ,
    WORK_SHIFT_TYPE          VARCHAR2(120) ,
    WORK_PATTERN_TYPE_ID     NUMBER(18, 0) ,
    TEMPLATE_FLAG            VARCHAR2(120) ,
    REPEAT_CYCLE             VARCHAR2(128) ,
    REPEAT_NUM               NUMBER(9, 0)  ,
    START_DAY_OF_PATTERN     VARCHAR2(120) ,
    NON_WORKING_CYCLES       VARCHAR2(960) ,
    WORK_DAY_DEF_ID          NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)  ,
    CREATION_DATE            TIMESTAMP(6)  ,
    CREATED_BY               VARCHAR2(256) ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    ENTERPRISE_ID            NUMBER(18, 0) ,
    AUDIT_ACTION_TYPE_       VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_    VARCHAR2(4000),
    AUDIT_IMPERSONATOR_      VARCHAR2(256) ,
    WORK_PATTERN_ID          NUMBER(18, 0) ,
    WORK_PATTERN_ALTCD       VARCHAR2(120) ,
    WORK_PATTERN_TYPE_ID     NUMBER(18, 0) ,
    TEMPLATE_FLAG            VARCHAR2(120) ,
    REPEAT_CYCLE             VARCHAR2(128) ,
    REPEAT_NUM               NUMBER(9, 0)  ,
    START_DAY_OF_PATTERN     VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)  ,
    CREATION_DATE            TIMESTAMP(6)  ,
    CREATED_BY               VARCHAR2(256) ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    ENTERPRISE_ID            NUMBER(18, 0) ,
    AUDIT_ACTION_TYPE_       VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_    VARCHAR2(4000),
    AUDIT_IMPERSONATOR_      VARCHAR2(256) ,
    NON_WORKING_CYCLES       VARCHAR2(960) ,
    WORK_SHIFT_TYPE          VARCHAR2(120) ,
    WORK_DAY_DEF_ID          NUMBER(18, 0) ,
    CONSTRAINT pk_hts_work_patterns_b_ PRIMARY KEY (WORK_PATTERN_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE, WORK_PATTERN_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE)
);
